## docker.io 0.7.6+dfsg1

=== Makefile ===
.PHONY: all binary build cross default docs shell test

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)
DOCKER_IMAGE := docker:$(GIT_BRANCH)
DOCKER_DOCS_IMAGE := docker-docs:$(GIT_BRANCH)
DOCKER_RUN_DOCKER := docker run -rm -i -t -privileged -e TESTFLAGS -v $(CURDIR)/bundles:/go/src/github.com/dotcloud/docker/bundles "$(DOCKER_IMAGE)"

default: binary

all: build
	$(DOCKER_RUN_DOCKER) hack/make.sh

binary: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary

cross: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross

docs:
	docker build -rm -t "$(DOCKER_DOCS_IMAGE)" docs
	docker run -rm -i -t -p 8000:8000 "$(DOCKER_DOCS_IMAGE)"

test: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test test-integration

shell: build
	$(DOCKER_RUN_DOCKER) bash

build: bundles
	docker build -rm -t "$(DOCKER_IMAGE)" .

bundles:
	mkdir bundles

=== hack/infrastructure/docker-ci/buildbot/requirements.txt ===
sqlalchemy<=0.7.9
sqlalchemy-migrate>=0.7.2
buildbot==0.8.7p1
buildbot_slave==0.8.7p1
nose==1.2.1
requests==1.1.0
flask==0.10.1
simplejson==2.3.2
selenium==2.35.0

=== debian/changelog ===
docker.io (0.7.6+dfsg1-1) unstable; urgency=medium

  [ Johan Euphrosine ]
  * Updated to 0.7.6.
  * Added dependency to gocapability.
  * Clean patches.

  [ Tianon Gravi ]
  * Added contrib/mk* scripts from upstream into /usr/share/docker.io/contrib
    (Closes: #736068).
  * Added upstream udev rules file to stop device-mapper devices and mounts from
    appearing in desktop environments through udisks.

 -- Johan Euphrosine <proppy@google.com>  Wed, 22 Jan 2014 22:50:47 -0500

docker.io (0.7.1+dfsg1-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * Fixed "docker: command not found" errors while using bash tab completion
    (Closes: #735372).

  [ Tianon Gravi ]
  * Updated to 0.7.1 upstream release (while we wait for gocapability to be
    packaged).
  * Added xz-utils recommend which is required for decompressing certain images
    from the index.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 15 Jan 2014 20:22:34 -0500

docker.io (0.6.7+dfsg1-3) unstable; urgency=medium

  * Fixed FTBFS on non-amd64 platforms by setting the correct GOPATH.
  * Fixed issues with Docker finding a valid dockerinit (Closes: #734758).
  * Added aufs-tools dependency.

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 09 Jan 2014 20:10:20 -0500

docker.io (0.6.7+dfsg1-2) unstable; urgency=medium

  * Added iptables dependency required for Docker to start.
  * Added ca-certificates recommend required for pulling from the index.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 08 Jan 2014 19:14:02 -0500

docker.io (0.6.7+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #706060, #730569)
  * Document missing licenses in the source tree. Bad, paultag. Thanks
    alteholz.

 -- Paul Tagliamonte <paultag@debian.org>  Tue, 07 Jan 2014 21:06:10 -0500

=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Daniel Mizyrycki <daniel@docker.com>,
           Tianon Gravi <admwiggin@gmail.com>,
           Johan Euphrosine <proppy@google.com>
Build-Depends: bash-completion,
               debhelper (>=9),
               dh-golang (>= 1.1),
               dh-systemd,
               golang (>= 2:1.1.2-3~),
               golang-context-dev,
               golang-go.net-dev,
               golang-gosqlite-dev,
               golang-mux-dev,
               golang-pty-dev,
               golang-gocapability-dev,
               libdevmapper-dev
Standards-Version: 3.9.5
Homepage: https://github.com/dotcloud/docker
Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=docker/docker.io.git;a=summary

Package: docker.io
Architecture: linux-any
Depends: adduser, iptables, lxc, ${misc:Depends}, ${shlibs:Depends}
Recommends: aufs-tools, ca-certificates, xz-utils
Built-Using: ${misc:Built-Using}
Description: Linux container runtime
 Docker complements LXC with a high-level API which operates at the process
 level. It runs unix processes with strong guarantees of isolation and
 repeatability across servers.
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64
 hosts is not supported at this time. Please be careful when using it on
 anything besides amd64.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Tell dh-golang where this package lives upstream
export DH_GOPKG := github.com/dotcloud/docker
# Tell dh-golang that we DO need subpackages
export DH_GOLANG_INSTALL_ALL := 1

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

# a few helpful variables for deduplication
INITDIR = /usr/lib/docker.io
INITPATH = ${INITDIR}/dockerinit
DOCKER_VERSION = $(shell cat VERSION)

export DOCKER_GITCOMMIT := $(shell awk '/^$(DOCKER_VERSION):/ { print $$2 }' debian/upstream-version-gitcommits)


override_dh_auto_build:
	bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
	DOCKER_INITPATH=${INITPATH} ./hack/make.sh dynbinary


override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/docker.io/usr/bin
	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker.io
	mkdir -p debian/docker.io/${INITDIR}
	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
	# The source of docker does not make a library, so dont ship it.
	rm -rf debian/docker.io/usr/share/gocode


# the SHA1 of dockerinit is important: don't strip it
# also, Go has lots of problems with stripping, so just don't
override_dh_strip:


override_dh_auto_test:


override_dh_installman:
	# we have to manually install because of the period in the name
	mkdir -p debian/docker.io/usr/share/man/man1
	cp debian/docker.io.1 debian/docker.io/usr/share/man/man1/


override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md


override_dh_installudev:
	# use priority z80 to match the upstream priority of 80
	dh_installudev --priority=z80


%:
	dh $@ --buildsystem=golang --with=golang,systemd,bash-completion

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/docker.io_$1.orig.tar.gz/ \
  https://github.com/dotcloud/docker/tags .*/v(\d\S*)\.tar\.gz debian /bin/sh debian/repack.sh

## docker.io 0.9.1~dfsg1

=== Makefile ===
.PHONY: all binary build cross default docs docs-build docs-shell shell test test-integration

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD)
DOCKER_IMAGE := docker:$(GIT_BRANCH)
DOCKER_DOCS_IMAGE := docker-docs:$(GIT_BRANCH)
DOCKER_RUN_DOCKER := docker run --rm -i -t --privileged -e TESTFLAGS -v "$(CURDIR)/bundles:/go/src/github.com/dotcloud/docker/bundles" "$(DOCKER_IMAGE)"

default: binary

all: build
	$(DOCKER_RUN_DOCKER) hack/make.sh

binary: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary

cross: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross

docs: docs-build
	docker run --rm -i -t -p 8000:8000 "$(DOCKER_DOCS_IMAGE)"

docs-shell: docs-build
	docker run --rm -i -t -p 8000:8000 "$(DOCKER_DOCS_IMAGE)" bash

test: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test test-integration

test-integration: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test-integration

shell: build
	$(DOCKER_RUN_DOCKER) bash

build: bundles
	docker build -t "$(DOCKER_IMAGE)" .

docs-build:
	docker build -t "$(DOCKER_DOCS_IMAGE)" docs

bundles:
	mkdir bundles

=== debian/changelog ===
docker.io (0.9.1~dfsg1-2) unstable; urgency=medium

  * Added upstream apparmor patch to fix newer apparmor versions (such as the
    version appearing in Ubuntu 14.04).
  * Added mkimage-* docker.io binary name patches (Closes: #740855).

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 08 Apr 2014 23:19:08 -0400

docker.io (0.9.1~dfsg1-1) unstable; urgency=medium

  * Updated to 0.9.1 upstream release (Closes: #743424).
  * Added cgroupfs-mount dependency (Closes: #742641).
  * Added Suggests entries for optional features, chiefly lxc (Closes: #742081).
  * Added notes about "root-equivalence" to README.Debian (Closes: #742387).

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 03 Apr 2014 21:38:30 -0400

docker.io (0.9.0+dfsg1-1) unstable; urgency=medium

  * Updated README.Debian to not be quite so outdated (Closes: #740850).
  * Updated to 0.9.0 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 11 Mar 2014 22:24:31 -0400

docker.io (0.8.1+dfsg1-1) unstable; urgency=medium

  * Updated to 0.8.1 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 25 Feb 2014 20:56:31 -0500

docker.io (0.8.0+dfsg1-2) unstable; urgency=medium

  [ Tianon Gravi ]
  * Added more license notes to debian/copyright (Closes: #738627).

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 15 Feb 2014 17:51:58 -0500

docker.io (0.8.0+dfsg1-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * Added zsh completion.

  [ Tianon Gravi ]
  * Updated to 0.8.0 upstream release.
  * Added vim syntax files in new vim-syntax-docker package.
  * Added note about minimum recommended kernel version to Description.
  * Added contrib/*-integration files in /usr/share/docker.io/contrib.

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 10 Feb 2014 20:41:10 -0500

=== debian/control ===
Source: docker.io
Section: admin
Priority: optional
Maintainer: Paul Tagliamonte <paultag@debian.org>
Uploaders: Daniel Mizyrycki <daniel@docker.com>,
           Tianon Gravi <admwiggin@gmail.com>,
           Johan Euphrosine <proppy@google.com>
Build-Depends: bash-completion,
               btrfs-tools,
               debhelper (>=9),
               dh-golang (>= 1.1),
               dh-systemd,
               golang (>= 2:1.2.1-2~),
               golang-context-dev,
               golang-go.net-dev,
               golang-gocapability-dev,
               golang-gosqlite-dev,
               golang-mux-dev,
               golang-pty-dev,
               libapparmor-dev,
               libdevmapper-dev
Standards-Version: 3.9.5
Homepage: https://github.com/dotcloud/docker
Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=docker/docker.io.git;a=summary

Package: docker.io
Architecture: linux-any
Depends: adduser, iptables, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: aufs-tools,
            ca-certificates,
            cgroupfs-mount | cgroup-lite,
            git,
            xz-utils
Suggests: btrfs-tools, debootstrap, lxc, rinse
Built-Using: ${misc:Built-Using}
Description: Linux container runtime
 Docker complements kernel namespacing with a high-level API which operates at
 the process level. It runs unix processes with strong guarantees of isolation
 and repeatability across servers.
 .
 Docker is a great building block for automating distributed systems:
 large-scale web deployments, database clusters, continuous deployment systems,
 private PaaS, service-oriented architectures, etc.
 .
 This package contains the daemon and client. Using docker.io on non-amd64
 hosts is not supported at this time. Please be careful when using it on
 anything besides amd64.
 .
 Also, note that kernel version 3.8 or above is required for proper operation of
 the daemon process, and that any lower versions may have subtle and/or glaring
 issues.

Package: vim-syntax-docker
Architecture: all
Depends: vim, ${misc:Depends}
Recommends: vim-addon-manager
Suggests: docker.io
Description: Docker container engine - Vim highlighting syntax files
 This package provides syntax files for the Vim editor for editing
 Dockerfiles from the Docker container engine.

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,15 @@
 DOCKER_VERSION = $(shell cat VERSION)
 
 export DOCKER_GITCOMMIT := $(shell awk '/^$(DOCKER_VERSION):/ { print $$2 }' debian/upstream-version-gitcommits)
+export DOCKER_INITPATH := ${INITPATH}
+
+# good old Ubuntu needs AppArmor
+export DOCKER_BUILDTAGS := apparmor
 
 
 override_dh_auto_build:
-	bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
-	DOCKER_INITPATH=${INITPATH} ./hack/make.sh dynbinary
+	@bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
+	./hack/make.sh dynbinary
 
 
 override_dh_auto_install:
@@ -30,6 +34,10 @@
 	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	# The source of docker does not make a library, so dont ship it.
 	rm -rf debian/docker.io/usr/share/gocode
+	# Manual install zsh completion file  because of the dh_install does not support rename file
+	mkdir -p debian/docker.io/usr/share/zsh/vendor-completions
+	install -D -m 644 contrib/completion/zsh/_docker debian/docker.io/usr/share/zsh/vendor-completions/_docker.io
+
 
 
 # the SHA1 of dockerinit is important: don't strip it

=== debian/watch ===
version=3
opts=\
dversionmangle=s/[+~](debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/docker.io_$1.orig.tar.gz/ \
  https://github.com/dotcloud/docker/tags .*/v(\d\S*)\.tar\.gz debian /bin/sh debian/repack.sh

## docker.io 1.0.0~dfsg1

=== debian/changelog ===
docker.io (1.0.0~dfsg1-1) unstable; urgency=medium

  * Updated to 1.0.0 upstream release. Huzzah!
  * I've removed what is commonly called a `button' of patches against
    the docker package. Exact patches:
     - bash-completion-docker.io.patch
     - systemd-docker.io.patch
     - sysvinit-provides-docker.io.patch
     - zsh-completion-docker.io.patch
     - mkimage-docker.io.patch
  * I know y'all are guessing why; and the answer's pretty simple -- we're
    no longer docker.io(1). Since the src:docker package now ships wmdocker(1),
    we can safely declare a breaks/replaces on the pre-wmdocker version of the
    package, allowing existing users to safely update, both src:docker and
    src:docker.io side. This brings us into line with other distros, which
    now ship wmdocker(1) and docker(1).
  * As a stop-gap, I'm still shipping a docker.io(1) symlink to allow
    migration away.

 -- Paul Tagliamonte <paultag@debian.org>  Fri, 13 Jun 2014 21:04:53 -0400

docker.io (0.11.1~dfsg1-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Use EnvironmentFile with the systemd unit file. (Closes: #746774)
  * Patch out version checking code. (Closes: #747140)
  * Remove all host checking for non-amd64 host arches. Let docker build
    and run on all platforms now. (Closes: #747139, #739914)

  [ Tianon Gravi ]
  * Updated to 0.11.1 upstream release.
  * Added backported upstream patch for removing RemoteAddr assumptions
    that cause events to not be delivered to more than one unix socket
    listener.

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 09 May 2014 17:30:45 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Paul Tagliamonte <paultag@debian.org>
-Uploaders: Daniel Mizyrycki <daniel@docker.com>,
+Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
+           Daniel Mizyrycki <daniel@docker.com>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
 Build-Depends: bash-completion,
@@ -11,12 +12,14 @@
                dh-golang (>= 1.1),
                dh-systemd,
                golang (>= 2:1.2.1-2~),
-               golang-context-dev,
+               golang-context-dev (>= 0.0~git20140520~),
+               golang-dbus-dev (>= 1~),
+               golang-go-systemd-dev (>= 2~),
                golang-go.net-dev,
-               golang-gocapability-dev,
-               golang-gosqlite-dev,
-               golang-mux-dev,
-               golang-pty-dev,
+               golang-gocapability-dev (>= 0.0~git20140516~),
+               golang-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-mux-dev (>= 0.0~git20140505~),
+               golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.5
@@ -32,6 +35,8 @@
             cgroupfs-mount | cgroup-lite,
             git,
             xz-utils
+Replaces: docker (<< 1.5~)
+Breaks: docker (<< 1.5~)
 Suggests: btrfs-tools, debootstrap, lxc, rinse
 Built-Using: ${misc:Built-Using}
 Description: Linux container runtime

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	mkdir -p debian/docker.io/usr/bin
-	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker.io
+	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
+	ln -s docker debian/docker.io/usr/bin/docker.io
 	mkdir -p debian/docker.io/${INITDIR}
 	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	# The source of docker does not make a library, so dont ship it.

## docker.io 1.0.1~dfsg1

=== debian/changelog ===
docker.io (1.0.1~dfsg1-0ubuntu1~ubuntu0.14.04.1) trusty; urgency=medium

  * Backport stable release of Docker for Ubuntu 14.04 (LP: #1338768).

 -- James Page <james.page@ubuntu.com>  Fri, 08 Aug 2014 12:35:13 +0200

docker.io (1.0.1~dfsg1-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - d/p/*: Refresh patches.
    - d/upstream-version-gitcommits: Add commit hash for 1.0.1.
  * Retain and use libcontainer in source tarball:
    - d/prune/vendor: Retain libcontainer vendor subfolder, drop all others.
    - d/rules: Ensure vendor subfolder is included on GOPATH.
  * d/source.lintian-overrides: Override errors about unsafe symlinks in
    testdata directories.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Aug 2014 22:42:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
            Daniel Mizyrycki <daniel@docker.com>,
            Tianon Gravi <admwiggin@gmail.com>,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export DH_GOLANG_INSTALL_ALL := 1
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
-export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
+export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE):$(CURDIR)/vendor
 
 # a few helpful variables for deduplication
 INITDIR = /usr/lib/docker.io

## docker.io 1.2.0~dfsg1

=== Makefile ===

all:
	docker build -t docker/libcontainer .

test: 
	# we need NET_ADMIN for the netlink tests and SYS_ADMIN for mounting
	docker run --rm -it --cap-add NET_ADMIN --cap-add SYS_ADMIN docker/libcontainer

sh:
	docker run --rm -it --cap-add NET_ADMIN --cap-add SYS_ADMIN -w /busybox docker/libcontainer nsinit exec sh

GO_PACKAGES = $(shell find . -not \( -wholename ./vendor -prune \) -name '*.go' -print0 | xargs -0n1 dirname | sort -u)

direct-test:
	go test -cover -v $(GO_PACKAGES)

direct-test-short:
	go test -cover -test.short -v $(GO_PACKAGES)

direct-build:
	go build -v $(GO_PACKAGES)

direct-install:
	go install -v $(GO_PACKAGES)

=== debian/changelog ===
docker.io (1.2.0~dfsg1-1ubuntu1) utopic; urgency=medium

  * debian/patches/sync-apparmor-with-lxc.patch: update AppArmor policy to
    by in sync with LXC. Specifically this:
    - reorganizes the rules to allow for easier comparison with other
      container policy
    - adds comments for many rules
    - adds bare dbus rule
    - adds ptrace rule to allow ptracing ourselves
    - adds deny mount options=(ro, remount, silent) -> /
    - allows hugetlbfs
    - adds cgmanager mount
    - adds /sys/fs/pstore mount
    - more specific /sys/kernel/security mount options
    - more specific /sys mount options
    - more specific /proc/sys/kernel/* deny rules
    - more specific /proc/sys/net deny rules
    - more specific /sys/class deny rules
    - more specific /sys/devices deny rules
    - more specific /sys/fs deny rules

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 01 Oct 2014 13:24:01 -0500

docker.io (1.2.0~dfsg1-1) unstable; urgency=medium

  * Updated to 1.2.0 upstream release (Closes: #757183, #757023, #757024).
  * Added upstream man pages.
  * Updated bash and zsh completions to be installed as "docker" and "_docker".
  * Updated init scripts to also be installed as "docker".
  * Fixed "equivalent" typo in README.Debian (Closes: #756395). Thanks Reuben!
  * Removed "docker.io" mention in README.Debian (Closes: #756290). Thanks
    Olivier!

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 13 Sep 2014 11:43:17 -0600

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,15 @@
                debhelper (>=9),
                dh-golang (>= 1.1),
                dh-systemd,
-               golang (>= 2:1.2.1-2~),
-               golang-context-dev (>= 0.0~git20140520~),
+               go-md2man,
+               golang (>= 2:1.2-3~),
+               golang (>= 2:1.2.1-2~) | golang (<< 2:1.2.1~),
+               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
+               golang-context-dev (>= 0.0~git20140604~),
                golang-dbus-dev (>= 1~),
+               golang-go-patricia-dev (>= 1.0.1~),
                golang-go-systemd-dev (>= 2~),
-               golang-go.net-dev,
+               golang-go.net-dev (>= 0.0~hg20130530~),
                golang-gocapability-dev (>= 0.0~git20140516~),
                golang-gosqlite-dev (>= 0.0~hg20130530~),
                golang-mux-dev (>= 0.0~git20140505~),
@@ -24,9 +28,9 @@
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.5
-Homepage: https://github.com/dotcloud/docker
+Homepage: https://github.com/docker/docker
 Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=docker/docker.io.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git
 
 Package: docker.io
 Architecture: linux-any
@@ -35,7 +39,8 @@
             ca-certificates,
             cgroupfs-mount | cgroup-lite,
             git,
-            xz-utils
+            xz-utils,
+            ${apparmor:Recommends}
 Replaces: docker (<< 1.5~)
 Breaks: docker (<< 1.5~)
 Suggests: btrfs-tools, debootstrap, lxc, rinse
@@ -49,9 +54,9 @@
  large-scale web deployments, database clusters, continuous deployment systems,
  private PaaS, service-oriented architectures, etc.
  .
- This package contains the daemon and client. Using docker.io on non-amd64
- hosts is not supported at this time. Please be careful when using it on
- anything besides amd64.
+ This package contains the daemon and client. Using docker.io on non-amd64 hosts
+ is not supported at this time. Please be careful when using it on anything
+ besides amd64.
  .
  Also, note that kernel version 3.8 or above is required for proper operation of
  the daemon process, and that any lower versions may have subtle and/or glaring
@@ -63,5 +68,5 @@
 Recommends: vim-addon-manager
 Suggests: docker.io
 Description: Docker container engine - Vim highlighting syntax files
- This package provides syntax files for the Vim editor for editing
- Dockerfiles from the Docker container engine.
+ This package provides syntax files for the Vim editor for editing Dockerfiles
+ from the Docker container engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Tell dh-golang where this package lives upstream
export DH_GOPKG := github.com/docker/docker
# Tell dh-golang that we DO need subpackages
export DH_GOLANG_INSTALL_ALL := 1

LIBCONTAINER_GOPKG = github.com/docker/libcontainer

# temporary build path (see http://golang.org/doc/code.html#GOPATH)
export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)

# a few helpful variables for deduplication
INITDIR = /usr/lib/docker.io
INITPATH = ${INITDIR}/dockerinit
DOCKER_VERSION = $(shell cat VERSION)

export DOCKER_GITCOMMIT := $(shell ./debian/helpers/gitcommit.sh $(DOCKER_VERSION))
export DOCKER_INITPATH := ${INITPATH}

# good old Ubuntu needs AppArmor
export DOCKER_BUILDTAGS := apparmor


APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
override_dh_gencontrol:
	echo 'apparmor:Recommends=$(APPARMOR_RECOMMENDS)' >> debian/docker.io.substvars
	dh_gencontrol


override_dh_auto_build:
	@bash -c '{ [ "$$DOCKER_GITCOMMIT" ]; } || { echo; echo "error: missing DOCKER_GITCOMMIT - see debian/upstream-version-gitcommits"; echo; exit 2; } >&2'
	
	@# this is especially for easier build-testing of nightlies
	@[ -d libcontainer ] || { [ -d vendor/src/$(LIBCONTAINER_GOPKG) ] && ln -sf vendor/src/$(LIBCONTAINER_GOPKG) libcontainer; }
	
	@# we need to make sure our multitarball libcontainer is in our GOPATH
	@mkdir -p "$$GOPATH/src/$(dir $(LIBCONTAINER_GOPKG))"
	ln -sf "$$(readlink -f libcontainer)" "$(GOPATH)/src/$(dir $(LIBCONTAINER_GOPKG))"
	
	./hack/make.sh dynbinary
	
	# compile man pages
	./docs/man/md2man-all.sh


override_dh_auto_install:
	dh_auto_install
	
	# install docker binary
	mkdir -p debian/docker.io/usr/bin
	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
	# install docker.io symlink for easier transition
	ln -s docker debian/docker.io/usr/bin/docker.io
	
	# install dockerinit binary
	mkdir -p debian/docker.io/${INITDIR}
	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
	
	# Most of the source of docker does not make a library,
	#   so only ship the reusable parts (and in a separate package).
	# THIS WILL BE AN ACTUAL PACKAGE IN THE _NEXT_ VERSION.
	mkdir -p debian/golang-docker-dev/usr/share/gocode/src/${DH_GOPKG}
	mv -v \
		debian/tmp/usr/share/gocode/src/${DH_GOPKG}/pkg \
		debian/golang-docker-dev/usr/share/gocode/src/${DH_GOPKG}/
	mkdir -p debian/golang-docker-dev/usr/share/gocode/src/$(dir $(LIBCONTAINER_GOPKG))
	@# this is especially for easier build-testing of nightlies
	@[ -d debian/tmp/usr/share/gocode/src/${DH_GOPKG}/libcontainer ] || { [ -d debian/tmp/usr/share/gocode/src/${DH_GOPKG}/vendor/src/$(LIBCONTAINER_GOPKG) ] && mv debian/tmp/usr/share/gocode/src/${DH_GOPKG}/vendor/src/$(LIBCONTAINER_GOPKG) debian/tmp/usr/share/gocode/src/${DH_GOPKG}/libcontainer; }
	mv -v \
		debian/tmp/usr/share/gocode/src/${DH_GOPKG}/libcontainer \
		debian/golang-docker-dev/usr/share/gocode/src/$(dir $(LIBCONTAINER_GOPKG))
	rm -rf debian/tmp/usr/share/gocode


# the SHA1 of dockerinit is important: don't strip it
# also, Go has lots of problems with stripping, so just don't
override_dh_strip:


override_dh_auto_test:


override_dh_installinit:
	dh_installinit --name=docker


override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md


override_dh_installudev:
	# use priority z80 to match the upstream priority of 80
	dh_installudev --priority=z80


%:
	dh $@ --buildsystem=golang --with=golang,systemd,bash-completion

## docker.io 1.3.3~dfsg1

=== debian/changelog ===
docker.io (1.3.3~dfsg1-2) unstable; urgency=medium

  * Add fatal-error-old-kernels.patch to make Docker refuse to start on old,
    unsupported kernels (Closes: #774376)
  * Fix dh_auto_clean to clean up after the build properly, especially to avoid
    FTBFS when built twice (Closes: #774482)

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 03 Jan 2015 00:11:47 -0700

docker.io (1.3.3~dfsg1-1) unstable; urgency=medium

  [ Tianon Gravi ]
  * Update to 1.3.3 upstream release (Closes: #772909)
    - Fix for CVE-2014-9356 (Path traversal during processing of absolute
      symlinks)
    - Fix for CVE-2014-9357 (Escalation of privileges during decompression of
      LZMA (.xz) archives)
    - Fix for CVE-2014-9358 (Path traversal and spoofing opportunities presented
      through image identifiers)
  * Fix bashism in nuke-graph-directory.sh (Closes: #772261)

  [ Didier Roche ]
  * Support starting systemd service without /etc/default/docker
    (Closes: #770293)

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 18 Dec 2014 21:54:12 -0700

docker.io (1.3.2~dfsg1-1) unstable; urgency=high

  * Severity is set to high due to the sensitive nature of the CVEs this
    upload fixes.
  * Update to 1.3.2 upstream release
    - Fix for CVE-2014-6407 (Archive extraction host privilege escalation)
    - Fix for CVE-2014-6408 (Security options applied to image could lead
                             to container escalation)
  * Remove Daniel Mizyrycki from Uploaders. Thanks for all your work!

 -- Paul Tagliamonte <paultag@debian.org>  Mon, 24 Nov 2014 19:14:28 -0500

docker.io (1.3.1~dfsg1-2) unstable; urgency=medium

  * Remove deprecated /usr/bin/docker.io symlink
    - added as a temporary shim in 1.0.0~dfsg1-1 (13 Jun 2014)
    - unused by package-installed files in 1.2.0~dfsg1-1 (13 Sep 2014)

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 07 Nov 2014 13:11:34 -0700

docker.io (1.3.1~dfsg1-1) unstable; urgency=high

  * Update to 1.3.1 upstream release
    - fix for CVE-2014-5277
    - https://groups.google.com/d/topic/docker-user/oYm0i3xShJU/discussion

 -- Tianon Gravi <admwiggin@gmail.com>  Mon, 03 Nov 2014 08:26:29 -0700

docker.io (1.3.0~dfsg1-1) unstable; urgency=medium

  * Updated to 1.3.0 upstream release.
  * Enable systemd socket activation (Closes: #752555).

 -- Tianon Gravi <admwiggin@gmail.com>  Fri, 17 Oct 2014 00:56:07 -0600

docker.io (1.2.0~dfsg1-2) unstable; urgency=medium

  * Added "golang-docker-dev" package for the reusable bits of Docker's source.

 -- Tianon Gravi <admwiggin@gmail.com>  Thu, 09 Oct 2014 00:08:11 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
-           Daniel Mizyrycki <daniel@docker.com>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
 Build-Depends: bash-completion,
@@ -27,7 +25,7 @@
                golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
                libapparmor-dev,
                libdevmapper-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/docker/docker
 Vcs-Git: git://anonscm.debian.org/docker/docker.io.git
 Vcs-Browser: http://anonscm.debian.org/cgit/docker/docker.io.git
@@ -70,3 +68,12 @@
 Description: Docker container engine - Vim highlighting syntax files
  This package provides syntax files for the Vim editor for editing Dockerfiles
  from the Docker container engine.
+
+Package: golang-docker-dev
+Architecture: all
+Depends: ${misc:Depends}
+Built-Using: ${misc:Built-Using}
+Description: Externally reusable Go packages included with Docker
+ These packages are intentionally developed by upstream in such a way that they
+ are reusable to projects outside Docker and only rely on each other or other
+ external dependencies to be built.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DH_GOLANG_INSTALL_ALL := 1
 
 LIBCONTAINER_GOPKG = github.com/docker/libcontainer
+LIBTRUST_GOPKG = github.com/docker/libtrust
 
 # temporary build path (see http://golang.org/doc/code.html#GOPATH)
 export GOPATH := $(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)
@@ -34,10 +35,12 @@
 	
 	@# this is especially for easier build-testing of nightlies
 	@[ -d libcontainer ] || { [ -d vendor/src/$(LIBCONTAINER_GOPKG) ] && ln -sf vendor/src/$(LIBCONTAINER_GOPKG) libcontainer; }
+	@[ -d libtrust ] || { [ -d vendor/src/$(LIBTRUST_GOPKG) ] && ln -sf vendor/src/$(LIBTRUST_GOPKG) libtrust; }
 	
-	@# we need to make sure our multitarball libcontainer is in our GOPATH
-	@mkdir -p "$$GOPATH/src/$(dir $(LIBCONTAINER_GOPKG))"
+	@# we need to make sure our multitarball deps are in our GOPATH
+	@mkdir -p "$$GOPATH/src/$(dir $(LIBCONTAINER_GOPKG))" "$$GOPATH/src/$(dir $(LIBTRUST_GOPKG))"
 	ln -sf "$$(readlink -f libcontainer)" "$(GOPATH)/src/$(dir $(LIBCONTAINER_GOPKG))"
+	ln -sf "$$(readlink -f libtrust)" "$(GOPATH)/src/$(dir $(LIBTRUST_GOPKG))"
 	
 	./hack/make.sh dynbinary
 	
@@ -51,8 +54,6 @@
 	# install docker binary
 	mkdir -p debian/docker.io/usr/bin
 	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
-	# install docker.io symlink for easier transition
-	ln -s docker debian/docker.io/usr/bin/docker.io
 	
 	# install dockerinit binary
 	mkdir -p debian/docker.io/${INITDIR}
@@ -60,7 +61,6 @@
 	
 	# Most of the source of docker does not make a library,
 	#   so only ship the reusable parts (and in a separate package).
-	# THIS WILL BE AN ACTUAL PACKAGE IN THE _NEXT_ VERSION.
 	mkdir -p debian/golang-docker-dev/usr/share/gocode/src/${DH_GOPKG}
 	mv -v \
 		debian/tmp/usr/share/gocode/src/${DH_GOPKG}/pkg \
@@ -85,6 +85,14 @@
 override_dh_installinit:
 	dh_installinit --name=docker
 
+override_dh_systemd_enable:
+	dh_systemd_enable -pdocker.io --no-enable docker.service
+	dh_systemd_enable -pdocker.io docker.socket
+
+override_dh_systemd_start:
+	dh_systemd_start -pdocker.io --no-start docker.service
+	dh_systemd_start -pdocker.io docker.socket
+
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md
@@ -95,5 +103,11 @@
 	dh_installudev --priority=z80
 
 
+override_dh_auto_clean:
+	# bundles is created by hack/make.sh
+	# docs/man/man*/ is created by docs/man/md2man-all.sh
+	rm -rf bundles docs/man/man*/
+
+
 %:
 	dh $@ --buildsystem=golang --with=golang,systemd,bash-completion

## docker.io 1.5.0~dfsg1

=== Makefile ===
.PHONY: all binary build cross default docs docs-build docs-shell shell test test-unit test-integration test-integration-cli test-docker-py validate

# env vars passed through directly to Docker's build scripts
# to allow things like `make DOCKER_CLIENTONLY=1 binary` easily
# `docs/sources/contributing/devenvironment.md ` and `project/PACKAGERS.md` have some limited documentation of some of these
DOCKER_ENVS := \
	-e BUILDFLAGS \
	-e DOCKER_CLIENTONLY \
	-e DOCKER_EXECDRIVER \
	-e DOCKER_GRAPHDRIVER \
	-e TESTDIRS \
	-e TESTFLAGS \
	-e TIMEOUT
# note: we _cannot_ add "-e DOCKER_BUILDTAGS" here because even if it's unset in the shell, that would shadow the "ENV DOCKER_BUILDTAGS" set in our Dockerfile, which is very important for our official builds

# to allow `make BINDDIR=. shell` or `make BINDDIR= test`
# (default to no bind mount if DOCKER_HOST is set)
BINDDIR := $(if $(DOCKER_HOST),,bundles)
DOCKER_MOUNT := $(if $(BINDDIR),-v "$(CURDIR)/$(BINDDIR):/go/src/github.com/docker/docker/$(BINDDIR)")

# to allow `make DOCSDIR=docs docs-shell` (to create a bind mount in docs)
DOCS_MOUNT := $(if $(DOCSDIR),-v $(CURDIR)/$(DOCSDIR):/$(DOCSDIR))

# to allow `make DOCSPORT=9000 docs`
DOCSPORT := 8000

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
DOCKER_IMAGE := docker$(if $(GIT_BRANCH),:$(GIT_BRANCH))
DOCKER_DOCS_IMAGE := docker-docs$(if $(GIT_BRANCH),:$(GIT_BRANCH))

DOCKER_RUN_DOCKER := docker run --rm -it --privileged $(DOCKER_ENVS) $(DOCKER_MOUNT) "$(DOCKER_IMAGE)"

DOCKER_RUN_DOCS := docker run --rm -it $(DOCS_MOUNT) -e AWS_S3_BUCKET -e NOCACHE

# for some docs workarounds (see below in "docs-build" target)
GITCOMMIT := $(shell git rev-parse --short HEAD 2>/dev/null)

default: binary

all: build
	$(DOCKER_RUN_DOCKER) hack/make.sh

binary: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary

cross: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross

docs: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" mkdocs serve

docs-shell: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" bash

docs-release: docs-build
	$(DOCKER_RUN_DOCS) -e OPTIONS -e BUILD_ROOT -e DISTRIBUTION_ID "$(DOCKER_DOCS_IMAGE)" ./release.sh

docs-test: docs-build
	$(DOCKER_RUN_DOCS) "$(DOCKER_DOCS_IMAGE)" ./test.sh

test: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary cross test-unit test-integration test-integration-cli test-docker-py

test-unit: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test-unit

test-integration: build
	$(DOCKER_RUN_DOCKER) hack/make.sh test-integration

test-integration-cli: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary test-integration-cli

test-docker-py: build
	$(DOCKER_RUN_DOCKER) hack/make.sh binary test-docker-py

validate: build
	$(DOCKER_RUN_DOCKER) hack/make.sh validate-gofmt validate-dco validate-toml

shell: build
	$(DOCKER_RUN_DOCKER) bash

build: bundles
	docker build -t "$(DOCKER_IMAGE)" .

docs-build:
	( git remote | grep -v upstream ) || git diff --name-status upstream/release..upstream/docs docs/ > docs/changed-files
	cp ./VERSION docs/VERSION
	echo "$(GIT_BRANCH)" > docs/GIT_BRANCH
	echo "$(AWS_S3_BUCKET)" > docs/AWS_S3_BUCKET
	echo "$(GITCOMMIT)" > docs/GITCOMMIT
	docker build -t "$(DOCKER_DOCS_IMAGE)" docs

bundles:
	mkdir bundles

=== debian/changelog ===
docker.io (1.5.0~dfsg1-1ubuntu2) vivid; urgency=medium

  * d/p/arm-syscall-fix.patch: Fix incorrect setns syscall on ARM.
  * d/p/powerpc-support.patch: Resolve FTBFS with powerpc builds.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Apr 2015 12:26:43 -0600

docker.io (1.5.0~dfsg1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian experimental (LP: #1430760). Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.
    - d/p/device-mapper-cleanup.patch: Cleanup any stale docker mounts
      from previous shutdown.
    - d/control: Bump minimum version of golang-pty-dev for broader
      architecture support.
    - d/control: use gccgo instead of golang on ppc64el.
  * Drop changes:
    - d/p/enable-gccgo-build.patch: superceded by new ppc64el patches.
    - d/p/enable-non-amd64-arches.patch: superceded by upstream-accepted
      patches from IBM as described below.
  * New implementation of ppc64el support based on upstreamed IBM patches:
    - d/p/enable-gccgo-build-v2.patch: add support to docker build
      system for gccgo.
    - d/p/remove-X-flag-autogenerate-dockerversion.patch
    - d/p/dockerversion-to-autogen-go-rename.patch
    - d/rules: conditional build against gccgo when on ppc64.
    - d/p/fix-build-dir-autogen.patch: autogen straight into build tree.
    - d/p/fix-dynbinary-for-autogen.patch: fix FTBFS on amd64.
  * d/p/arm64-support.patch: fix to allow build on arm64.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 02 Apr 2015 09:48:04 +0000

docker.io (1.5.0~dfsg1-1) experimental; urgency=low

  * Update to 1.5.0 upstream release (Closes: #773495)
  * Remove several patches applied upstream!
    - 9637-fix-nuke-bashism.patch
    - enable-non-amd64-arches.patch
  * Fix btrfs-tools handling to allow for building with btrfs-tools < 1.16.1

 -- Tianon Gravi <admwiggin@gmail.com>  Tue, 10 Mar 2015 22:58:49 -0600

docker.io (1.3.3~dfsg1-2ubuntu7) vivid; urgency=medium

  * d/p/enable-gccgo-build.patch: Update for gccgo archs.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 08 Mar 2015 20:41:41 +0100

docker.io (1.3.3~dfsg1-2ubuntu6) vivid; urgency=medium

  * Drop the build dependency on gccgo-go, build-depend on gccgo instead.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Mar 2015 22:35:36 +0100

docker.io (1.3.3~dfsg1-2ubuntu5) vivid; urgency=medium

  * d/p/enable-non-amd64-arches.patch: Replace in preference to upstream
    accepted patch from IBM.
  * d/p/device-mapper-cleanup.patch: Annotate with upstream bug report.
  * d/p/enable-gccgo-build.patch: Annotate with pull request upstream
    from IBM, update to deal with autogenerated go code.
  * d/p/sync-apparmor-with-lxc.patch: Annotate with upstream pull request
    for libcontainer, reference github.com working repository.
  * d/control: Drop arm64 architecture for now as its going to require
    further work in the dependency chain.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Feb 2015 14:04:11 +0000

docker.io (1.3.3~dfsg1-2ubuntu4) vivid; urgency=medium

  * Enable arm64 architecture using gccgo. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 15:27:38 +0000

docker.io (1.3.3~dfsg1-2ubuntu3) vivid; urgency=medium

  * Enable ppc64el architecture using gccgo:
    - d/p/enable-gccgo-build.patch: Add support to docker build
      system for gccgo.
    - d/control: Use gccgo-go for ppc64el, exclude ppc64el for golang.
    - d/control: Bump minimum version of golang-pty-dev for broader
      architecture support.

 -- James Page <james.page@ubuntu.com>  Wed, 18 Feb 2015 10:14:06 +0000

docker.io (1.3.3~dfsg1-2ubuntu2) vivid; urgency=medium

  * d/p/device-mapper-cleanup.patch: Cleanup any stale docker mounts
    from previous shutdown (LP: #1404300).

 -- James Page <james.page@ubuntu.com>  Thu, 22 Jan 2015 08:50:14 +0000

docker.io (1.3.3~dfsg1-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable (LP: #1407408).  Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Sun, 04 Jan 2015 12:06:00 +0100

docker.io (1.3.3~dfsg1-1ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable (LP: #1396572), remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Dec 2014 14:32:31 +0000

docker.io (1.3.2~dfsg1-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/p/sync-apparmor-with-lxc.patch: Update AppArmor policy to be
      in sync with LXC.
  * Dropped changes, equivalents included in Debian updates:
    - d/p/support-no-env-default-file.patch.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Nov 2014 17:59:07 +0000

docker.io (1.2.0~dfsg1-1ubuntu2) vivid; urgency=medium

  * Reenable socket activation (race fixed with systemd 215)
  * debian/patches/support-no-env-default-file.patch:
    - Support removed /etc/default/docker under systemd

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Nov 2014 10:18:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: docker.io
 Section: admin
 Priority: optional
-Maintainer: Paul Tagliamonte <paultag@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Tagliamonte <paultag@debian.org>
 Uploaders: Docker Packaging Team <docker-maint@lists.alioth.debian.org>,
            Tianon Gravi <admwiggin@gmail.com>,
            Johan Euphrosine <proppy@google.com>
@@ -11,18 +12,19 @@
                dh-golang (>= 1.1),
                dh-systemd,
                go-md2man,
-               golang (>= 2:1.2-3~),
-               golang (>= 2:1.2.1-2~) | golang (<< 2:1.2.1~),
-               golang (>= 2:1.3-4~) | golang (= 2:1.3-1) | golang (<< 2:1.3~),
+               golang (>= 2:1.2-3~) [!arm64 !ppc64el !powerpc],
+               gccgo [arm64 ppc64el powerpc],
                golang-context-dev (>= 0.0~git20140604~),
                golang-dbus-dev (>= 1~),
+               golang-fsnotify-dev (>= 1.0.4~),
                golang-go-patricia-dev (>= 1.0.1~),
                golang-go-systemd-dev (>= 2~),
                golang-go.net-dev (>= 0.0~hg20130530~),
                golang-gocapability-dev (>= 0.0~git20140516~),
                golang-gosqlite-dev (>= 0.0~hg20130530~),
+               golang-logrus-dev (>= 0.6.0~),
                golang-mux-dev (>= 0.0~git20140505~),
-               golang-pty-dev (>= 0.0~git20140315.1.67e2db2-1~),
+               golang-pty-dev (>= 0.0~git20150218~),
                libapparmor-dev,
                libdevmapper-dev
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,20 @@
 export DOCKER_GITCOMMIT := $(shell ./debian/helpers/gitcommit.sh $(DOCKER_VERSION))
 export DOCKER_INITPATH := ${INITPATH}
 
-# good old Ubuntu needs AppArmor
-export DOCKER_BUILDTAGS := apparmor
+ifneq (,$(filter $(DEB_HOST_ARCH), arm64 powerpc ppc64el))
+    DOCKER_BUILD_TARGET = dyngccgo
+else
+    DOCKER_BUILD_TARGET = dynbinary
+endif
+
+
+# see https://github.com/docker/docker/blob/v1.5.0/project/PACKAGERS.md#build-dependencies
+# and https://github.com/docker/docker/blob/v1.5.0/project/PACKAGERS.md#docker_buildtags
+BTRFS_VERSION = $(shell dpkg-query -f '$${Version}' -W btrfs-tools)
+OLD_BTRFS_BUILDTAG = $(shell dpkg --compare-versions $(BTRFS_VERSION) '>=' '3.16.1~' || echo btrfs_noversion)
+
+# AppArmor can be optionally used in Debian and is there by default in Ubuntu, so we need support for it compiled into our binary
+export DOCKER_BUILDTAGS := apparmor $(OLD_BTRFS_BUILDTAG)
 
 
 APPARMOR_RECOMMENDS = $(shell dpkg-vendor --is Ubuntu && echo apparmor)
@@ -42,7 +54,7 @@
 	ln -sf "$$(readlink -f libcontainer)" "$(GOPATH)/src/$(dir $(LIBCONTAINER_GOPKG))"
 	ln -sf "$$(readlink -f libtrust)" "$(GOPATH)/src/$(dir $(LIBTRUST_GOPKG))"
 	
-	./hack/make.sh dynbinary
+	./hack/make.sh $(DOCKER_BUILD_TARGET)
 	
 	# compile man pages
 	./docs/man/md2man-all.sh
@@ -53,11 +65,11 @@
 	
 	# install docker binary
 	mkdir -p debian/docker.io/usr/bin
-	mv bundles/${DOCKER_VERSION}/dynbinary/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
+	mv bundles/${DOCKER_VERSION}/${DOCKER_BUILD_TARGET}/docker-${DOCKER_VERSION} debian/docker.io/usr/bin/docker
 	
 	# install dockerinit binary
 	mkdir -p debian/docker.io/${INITDIR}
-	mv bundles/${DOCKER_VERSION}/dynbinary/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
+	mv bundles/${DOCKER_VERSION}/${DOCKER_BUILD_TARGET}/dockerinit-${DOCKER_VERSION} debian/docker.io/${INITPATH}
 	
 	# Most of the source of docker does not make a library,
 	#   so only ship the reusable parts (and in a separate package).
